%define name sqlguimysql
%define version 0.1.1
%define release %mkrel 9
%define major 0
%define libname %mklibname %name %major
%define develname %mklibname -d %name

Summary: 	Graphical database-frontend for KDE
Name: 		%name
Version: 	%version
Release: 	%release
License:	BSD
URL:		http://www.sqlgui.org/
Group: 		Databases
Source: 	%{name}-%{version}.tar.bz2
Source1:	kde-common-admin.tar.bz2
Patch0:		%{name}-namespace.patch
Patch1:		%{name}.gcc.patch
Patch2:		sqlguimysql-0.1.1-ldflags.patch
Buildroot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	kdelibs-devel mysql-devel

%description
MySQL-plugin for SqlGui

%package -n %libname
Summary:    Graphical database-frontend for KDE
Group:      Databases
Provides:	lib%name = %version-%release

%description -n %libname
MySQL-plugin for SqlGui

%package -n %develname
Summary:    Graphical database-frontend for KDE
Group:      Development/Other
Provides:   lib%name-devel = %version-%release
Requires:   %libname = %version-%release
Provides:   sqlgui-lib
Obsoletes:  %{_lib}sqlguimysql0-devel

%description -n %develname
MySQL-plugin for SqlGui
This package contain develpment files.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1 -b .stdout
%patch1 -p0 -b .gcccpp
%patch2 -p0

tar xf %{SOURCE1}

%build
make -f admin/Makefile.common
%configure_kde3 --with-extra-includes=%{_includedir}/mysql
%make

%install
rm -fr %buildroot
%makeinstall_std

%if %mdkversion < 200900
%post -n %libname -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %libname -p /sbin/ldconfig
%endif

%clean
rm -rf %buildroot

%files -n %libname
%defattr(-,root,root)
%doc README COPYING TODO INSTALL ChangeLog AUTHORS
%{_kde3_libdir}/libsqlguimysql-%version.so

%files -n %develname
%defattr(-,root,root)
%{_kde3_libdir}/*.la
%{_kde3_libdir}/libsqlguimysql.so
%{_kde3_includedir}/sqlguimysql


%changelog
* Thu Dec 04 2008 Funda Wang <fundawang@mandriva.org> 0.1.1-9mdv2009.1
+ Revision: 309872
- switch to /opt
- fix ldflags
- add kde official autotools files

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - rebuild
    - rebuild
    - fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
    - kill re-definition of %%buildroot on Pixel's request
    - buildrequires X11-devel instead of XFree86-devel
    - fix summary-ended-with-dot

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Sat Jul 15 2006 Olivier Thauvin <nanardon@mandriva.org>
+2006-07-15 23:33:15 (41342)
- rebuild

* Sat Jul 15 2006 Olivier Thauvin <nanardon@mandriva.org>
+2006-07-15 23:20:18 (41337)
Import sqlguimysql

* Sat May 07 2005 Olivier Thauvin <nanardon@mandriva.org> 0.1.1-5mdk
- fix 64bits build

* Tue Jun 15 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.1.1-4mdk
- Birthday rebuild
- Patch1: fix gcc error about char conversion

